Index: src/sas/qtgui/Utilities/UnitTesting/GridPanelTest.py
===================================================================
--- src/sas/qtgui/Utilities/UnitTesting/GridPanelTest.py	(revision d4dac8028a51b020b8e01f0998d475e053206dea)
+++ src/sas/qtgui/Utilities/UnitTesting/GridPanelTest.py	(revision 80468f6c91cf372023748231c493da2c7009a763)
@@ -16,4 +16,5 @@
 
 from sas.sascalc.fit.AbstractFitEngine import FResult
+from sas.sascalc.fit.AbstractFitEngine import FitData1D
 from sasmodels.sasview_model import load_standard_models
 from sas.qtgui.Plotting.PlotterData import Data1D
@@ -32,4 +33,5 @@
         # dummy perspective
         class dummy_manager(object):
+            _parent = QtWidgets.QWidget()
             def communicator(self):
                 return GuiUtils.Communicate()
@@ -56,6 +58,8 @@
         self.assertIsNotNone(m)
         data = Data1D(x=[1,2], y=[3,4], dx=[0.1, 0.1], dy=[0.,0.])
+        fit_data = FitData1D(x=[1,2], y=[3,4], data=data)
         param_list = ['sld_shell', 'sld_solvent']
-        output = FResult(model=model, data=data, param_list=param_list)
+        output = FResult(model=model, data=fit_data, param_list=param_list)
+        output.sas_data = data
         output.theory = np.array([0.1,0.2])
         output.pvec = np.array([0.1, 0.02])
@@ -63,4 +67,5 @@
         output.fitness = 9000.0
         output.fitter_id = 200
+        output.stderr = [0.001, 0.001]
         output_data = [[output],[output]]
         return output_data
Index: src/sas/qtgui/Utilities/UnitTesting/PluginDefinitionTest.py
===================================================================
--- src/sas/qtgui/Utilities/UnitTesting/PluginDefinitionTest.py	(revision 3b3b40bf9d5056d902b19728c621dd2a4661d65f)
+++ src/sas/qtgui/Utilities/UnitTesting/PluginDefinitionTest.py	(revision 80468f6c91cf372023748231c493da2c7009a763)
@@ -16,7 +16,6 @@
 from sas.qtgui.Utilities.PythonSyntax import PythonHighlighter
 
-#if not QApplication.instance():
-#    app = QApplication(sys.argv)
-app = QApplication(sys.argv)
+if not QApplication.instance():
+    app = QApplication(sys.argv)
 
 class PluginDefinitionTest(unittest.TestCase):
Index: src/sas/qtgui/Utilities/UnitTesting/TabbedModelEditorTest.py
===================================================================
--- src/sas/qtgui/Utilities/UnitTesting/TabbedModelEditorTest.py	(revision 3b3b40bf9d5056d902b19728c621dd2a4661d65f)
+++ src/sas/qtgui/Utilities/UnitTesting/TabbedModelEditorTest.py	(revision 80468f6c91cf372023748231c493da2c7009a763)
@@ -16,4 +16,5 @@
 
 # Local
+import sas.qtgui.Utilities.GuiUtils as GuiUtils
 from sas.qtgui.Utilities.TabbedModelEditor import TabbedModelEditor
 from sas.qtgui.Utilities.PluginDefinition import PluginDefinition
@@ -21,7 +22,6 @@
 
 
-#if not QApplication.instance():
-#    app = QApplication(sys.argv)
-app = QApplication(sys.argv)
+if not QApplication.instance():
+    app = QApplication(sys.argv)
 
 class TabbedModelEditorTest(unittest.TestCase):
@@ -30,6 +30,10 @@
         Prepare the editors
         """
-        self.widget = TabbedModelEditor(None)
-        self.widget_edit = TabbedModelEditor(None, edit_only=True)
+        class dummy_manager(object):
+            _parent = QWidget()
+            communicate = GuiUtils.Communicate()
+
+        self.widget = TabbedModelEditor(parent=dummy_manager)
+        self.widget_edit = TabbedModelEditor(parent=dummy_manager, edit_only=True)
 
     def tearDown(self):
@@ -139,10 +143,10 @@
 
 
-    def testPluginModelModified(self):
+    def testpluginTitleSet(self):
         """Test reaction to direct edit in plugin wizard"""
         self.assertFalse(self.widget.is_modified)
 
         # Call the tested method with no filename defined
-        self.widget.pluginModelModified()
+        self.widget.pluginTitleSet()
 
         # Assure the apply button is disabled
@@ -157,5 +161,4 @@
         self.assertIn("*", self.widget.windowTitle())
         self.assertIn(new_name, self.widget.windowTitle())
-        self.assertTrue(self.widget.editor_widget.isEnabled())
         self.assertTrue(self.widget.buttonBox.button(QDialogButtonBox.Apply).isEnabled())
         self.assertTrue(self.widget.is_modified)
